spandsp: t38_terminal_front_end_state_t Struct Reference

spandsp 0.0.6

t38_terminal_front_end_state_t Struct Reference

## Public Attributes
int | iaf
| Internet Aware FAX mode bit mask.
int | us_per_tx_chunk
| Required time between T.38 transmissions, in microseconds.
int | chunking_modes
| Bit fields controlling the way data is packed into chunked for transmission.
t38_core_state_t | t38
| Core T.38 IFP support.
int | timed_step
| The current transmit step being timed.
int | queued_timed_step
| The timed step to go to when we reach idle from the current timed step.
int | rx_data_missing
| TRUE is there has been some T.38 data missed (i.e. lost packets) in the current reception period.
int | octets_per_data_packet
| The number of octets to send in each image packet (non-ECM or ECM) at the current rate and the current specified packet interval.
struct { |
uint8_t buf [T38_MAX_HDLC_LEN] |
| HDLC receive buffer.
int len |
| The length of the contents of the HDLC receive buffer.
} | hdlc_rx
struct { |
uint8_t buf [T38_MAX_HDLC_LEN] |
| HDLC transmit buffer.
int len |
| The length of the contents of the HDLC transmit buffer.
int ptr |
| Current pointer within the contents of the HDLC transmit buffer.
int extra_bits |
| The number of extra bits in a fully stuffed version of the contents of the HDLC transmit buffer. This is needed to accurately estimate the playout time for this frame, through an analogue modem.
} | hdlc_tx
int | non_ecm_trailer_bytes
| Counter for trailing non-ECM bytes, used to flush out the far end's modem.
int | next_tx_indicator
| The next T.38 indicator queued for transmission.
int | current_tx_data_type
| The current T.38 data type being transmitted.
int | rx_signal_present
| TRUE if a carrier is present. Otherwise FALSE.
int | current_rx_type
| The current operating mode of the receiver.
int | current_tx_type
| The current operating mode of the transmitter.
int | tx_bit_rate
| Current transmission bit rate.
int32_t | samples
| A "sample" count, used to time events.
int32_t | next_tx_samples
| The value for samples at the next transmission point.
int32_t | timeout_tx_samples
| The current transmit timeout.
int32_t | timeout_rx_samples
| The current receive timeout.

## Member Data Documentation

## ◆ buf

uint8_t t38_terminal_front_end_state_t::buf[T38_MAX_HDLC_LEN]

HDLC receive buffer.

HDLC transmit buffer.

## ◆ len

int t38_terminal_front_end_state_t::len

The length of the contents of the HDLC receive buffer.

The length of the contents of the HDLC transmit buffer.

The documentation for this struct was generated from the following file:

- private/t38_terminal.h